Subject: Re: bug#65518: 30.0.50; [FR Eglot] Completions over all workspace symbols

From: João Távora <[email-masked]>
Date: Sun, 27 Aug 2023 07:06:08 +0100

On Sun, Aug 27, 2023 at 6:56 AM Gerd Möllmann <[email-masked]> wrote:

> > In contrast, Eglot's C-u M-. reaches all the symbols in the whole
> > project, a much better implementation of 'xref-find-deinitions' IMNSHO.
> > In a large project, like LLVM, using Eglot in combination with something
> > like `M-x fido-vertical-mode` gives you an interactive incremental
> > completion interface that is able reach millions of symbols across in
> > thousands of C++ files.
>
> Interesting.  Maybe I never noticed this because Emacs' C files include
> so much that I got the impression that that was everything.
>
> Thanks for testing this!
>
> I guess we can close this request, then.  I'll see if can use etags, or
> something, for that use-case.  Or just live with it.
>
> Thanks!

I'm glad to help, but I must say I'm still at a loss of what the use-case
actually is.  As far as I can understand, at least from the subject of
this email, "completion over all workspace symbols" is very much a
supported feature in Eglot.  What exactly are you missing?  May I
ask what completion UI package you are using?  Is it Helm? Vertico?
Corfu? Ivy? Or something else?

I primarily test and use Eglot with Emacs itself.  I use the built-in
completion package fido-vertical-mode.  The only relevant third-party package
I use is company-mode, but it's not directly relevant here.

João